Deprecation: #86270 - config.tx_extbase.objects and plugin.tx_%plugin%.objects

See Issue #86270

Description

The config.tx_extbase.objects and plugin.tx_%plugin%.objects configuration options have been marked as deprecated.

Impact

Configuring class overrides using config.tx_extbase.objects or plugin.tx_%plugin%.objects will trigger a PHP E_USER_DEPRECATED error.

Affected Installations

All installations that make use of the TypoScript config.tx_extbase.objects or plugin.tx_%plugin%.objects configuration options are affected.

Migration

Use XCLASSes configured in ext_localconf.php using $GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects'].

Register implementations in the Extbase object container instead if you need to override classes that are processed by the PropertyMapper like domain models or if you rely on additional injections:

GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\Object\Container\Container::class)
    ->registerImplementation(Base::class, Override::class);

If you conditionally configured config.tx_extbase.objects or plugin.tx_%plugin%.objects, then move that conditional logic into the overriding class itself.